# Class InfosetCoercingHtmlParser

java.lang.Object
nu.validator.htmlparser.sax.HtmlParser
nu.validator.htmlparser.sax.InfosetCoercingHtmlParser

All Implemented Interfaces:
  `XMLReader`

public class InfosetCoercingHtmlParser extends HtmlParser
This subclass of `HtmlParser` simply provides a no-argument constructor that calls the constructor of the superclass with the `ALTER_INFOSET` policy. This is convenient when another Java component wants an implementation of `XMLReader` with a no-argument constructor and infoset coercion is the wanted behavior.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`InfosetCoercingHtmlParser()`
A constructor that passes `ALTER_INFOSET` to the superclass' constructor.

## Method Summary

### Methods inherited from class HtmlParser

`addCharacterHandler, getBogusXmlnsPolicy, getCommentPolicy, getContentHandler, getContentNonXmlCharPolicy, getContentSpacePolicy, getDocumentLocator, getDocumentModeHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getHeuristics, getLexicalHandler, getNamePolicy, getProperty, getStreamabilityViolationPolicy, getXmlnsPolicy, isCheckingNormalization, isMappingLangToXmlLang, isReportingDoctype, isScriptingEnabled, parse, parse, parse, parseFragment, parseFragment, parseFragment, parseFragment, setBogusXmlnsPolicy, setCheckingNormalization, setCommentPolicy, setContentHandler, setContentNonXmlCharPolicy, setContentSpacePolicy, setDocumentModeHandler, setDTDHandler, setEntityResolver, setErrorHandler, setErrorProfile, setFeature, setHeuristics, setLexicalHandler, setMappingLangToXmlLang, setNamePolicy, setProperty, setReportingDoctype, setScriptingEnabled, setStreamabilityViolationPolicy, setTransitionHandler, setTreeBuilderErrorHandlerOverride, setXmlnsPolicy, setXmlPolicy`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InfosetCoercingHtmlParser

public InfosetCoercingHtmlParser()
A constructor that passes `ALTER_INFOSET` to the superclass' constructor.